import { PiralRenderOptions, PiralRunner } from './types';
/**
 * Sets up a new Piral instance and runs it using the provided runner.
 * @param options The options to use when setting up the Piral instance.
 * @deprecated Use `createInstance` with `render` or `hydrate` directly.
 * @example
```ts
import { render } from 'react-dom';
import { runInstance } from 'piral';

runInstance((app, selector) => render(app, document.querySelector(selector)));
```
 */
export declare function runInstance(runner: PiralRunner, options?: PiralRenderOptions): import("piral-core").PiralInstance;
