import { PiralPlugin, PiralConfiguration } from 'piral-core';
import { PiralExtSettings } from 'piral-ext';
/**
 * Extends the standard Pilet API with custom API and settings.
 * @param settings Customizes the standard plugin settings.
 * @param customApis The custom APIs to add.
 * @deprecated Use `[...customApis, createStandardApi(settings)`] instead.
 */
export declare function extendPiralApi(settings?: PiralExtSettings, customApis?: PiralPlugin | Array<PiralPlugin>): (PiralPlugin<Partial<import("piral-core").PiletApi>> | PiralPlugin<import("piral-ext").PiletLocaleApi> | PiralPlugin<import("piral-ext").PiletDashboardApi> | PiralPlugin<import("piral-ext").PiletMenuApi> | PiralPlugin<import("piral-ext").PiletNotificationsApi> | PiralPlugin<import("piral-ext").PiletModalsApi> | PiralPlugin<import("piral-ext").PiletFeedsApi>)[];
/**
 * Creates a standard Piral instance.
 * @param config The config for creating the piral state.
 * @param settings Customizes the standard plugin settings.
 * @deprecated Use `createInstance` instead.
 */
export declare function createPiral(config?: PiralConfiguration, settings?: PiralExtSettings): import("piral-core").PiralInstance;
