"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPiral = exports.extendPiralApi = void 0;
const piral_core_1 = require("piral-core");
const piral_ext_1 = require("piral-ext");
/**
 * Extends the standard Pilet API with custom API and settings.
 * @param settings Customizes the standard plugin settings.
 * @param customApis The custom APIs to add.
 * @deprecated Use `[...customApis, createStandardApi(settings)`] instead.
 */
function extendPiralApi(settings = {}, customApis = []) {
    const extenders = Array.isArray(customApis) ? customApis : [customApis];
    return [...extenders, ...(0, piral_ext_1.createStandardApi)(settings)];
}
exports.extendPiralApi = extendPiralApi;
/**
 * Creates a standard Piral instance.
 * @param config The config for creating the piral state.
 * @param settings Customizes the standard plugin settings.
 * @deprecated Use `createInstance` instead.
 */
function createPiral(config = {}, settings) {
    return (0, piral_core_1.createInstance)({
        ...config,
        plugins: extendPiralApi(settings, config.plugins),
    });
}
exports.createPiral = createPiral;
//# sourceMappingURL=api.js.map