/// <reference types="react" />
import { PiralConfiguration } from 'piral-core';
import { PiralRenderBaseOptions } from './types';
/**
 * Gets a new instantiated Piral instance using the provided options.
 * Very useful for server-side rendering.
 * @param config The configuration for creating the Piral instance.
 * @param options The options to use when rendering the Piral instance.
 * @deprecated Use `createInstance` directly.
 * @example
```ts
import { render } from 'react-dom';
import { getAppInstance } from 'piral';

const { app } = getAppInstance();
render(app, document.querySelector('#app'));
```
 */
export declare function getAppInstance(config?: PiralConfiguration, options?: PiralRenderBaseOptions): {
    instance: import("piral-core").PiralInstance;
    app: import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>;
};
