"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hydrateInstance = void 0;
const react_dom_1 = require("react-dom");
const run_1 = require("./run");
const options_1 = require("./options");
/**
 * Sets up a new Piral instance and hydrates it using the provided options.
 * @param options The options to use when setting up the Piral instance.
 * @deprecated Use `createInstance` with `hydrate` directly.
 * @example
```ts
import { hydrateInstance } from 'piral';
hydrateInstance();
```
 */
function hydrateInstance(options) {
    return (0, run_1.runInstance)((app, selector) => (0, react_dom_1.hydrate)(app, (0, options_1.getContainer)(selector)), options);
}
exports.hydrateInstance = hydrateInstance;
//# sourceMappingURL=hydrate.js.map