"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderInstance = void 0;
const react_dom_1 = require("react-dom");
const options_1 = require("./options");
const run_1 = require("./run");
/**
 * Sets up a new Piral instance and renders it using the provided options.
 * @param options The options to use when setting up the Piral instance.
 * @deprecated Use `createInstance` with `render` directly.
 * @example
```ts
import { renderInstance } from 'piral';
renderInstance();
```
 */
function renderInstance(options) {
    return (0, run_1.runInstance)((app, selector) => (0, react_dom_1.render)(app, (0, options_1.getContainer)(selector)), options);
}
exports.renderInstance = renderInstance;
//# sourceMappingURL=render.js.map