"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runInstance = void 0;
const app_1 = require("./app");
function noChange(config) {
    return config;
}
/**
 * Sets up a new Piral instance and runs it using the provided runner.
 * @param options The options to use when setting up the Piral instance.
 * @deprecated Use `createInstance` with `render` or `hydrate` directly.
 * @example
```ts
import { render } from 'react-dom';
import { runInstance } from 'piral';

runInstance((app, selector) => render(app, document.querySelector(selector)));
```
 */
function runInstance(runner, options = {}) {
    const { selector = '#app', settings, layout, piralChildren, dashboardPath, errors, middleware = noChange, ...config } = options;
    const { app, instance } = (0, app_1.getAppInstance)(middleware(config), {
        settings,
        layout,
        errors,
        dashboardPath,
        piralChildren,
    });
    runner(app, selector);
    return instance;
}
exports.runInstance = runInstance;
//# sourceMappingURL=run.js.map